create table request
(
id bigint(21) NOT NULL auto_increment,
udate bigint NOT NULL,
year  int     NOT NULL,
month  int     NOT NULL,
day  int     NOT NULL,
hour  int     NOT NULL,
min  int     NOT NULL,
sec  int     NOT NULL,
msec  int     NOT NULL,
utime bigint NOT NULL,

ip varchar(20) NOT NULL,
port int(11) default NULL,
service  varchar(6)     NOT NULL,
prot  varchar(4)     NOT NULL,

rip   bigint(21) NOT NULL,
ripc   bigint(21) NOT NULL,

ecode  varchar(4)     NOT NULL,
inf1 varchar(40),
inf2 varchar(40),

key k_id(id),
key k_udate(udate),
key k_utime(utime),
key k_rip(rip),
key k_ripc(ripc),
key k_ecode(ecode),
key k_ipport(ip,port),
key k_ipportservice(ip,port,service)
);

create table rip
(
id bigint(21) NOT NULL auto_increment,
ip varchar(20) NOT NULL,
fqh varchar(254) NOT NULL,

UNIQUE KEY u_ip(ip),
key k_id(id),
key k_fqh(fqh)
);

create table ripc
(
id bigint(21) NOT NULL auto_increment,
ipc varchar(20) NOT NULL,

UNIQUE KEY u_ipc(ipc),
key k_id(id)
);
